Skip to Main Content

Panopto Users: Please Install 6.0 Recorder

Mandatory Client Upgrade

June 25, 2019 9:27 AM
As announced in April, please be sure to upgrade to the Panopto 6.0 recorder by July 18. You can download the recorder directly from our instance of Panopto.

Please Note
Panopto for Windows 6.0 and Remote Recorder 6.0 requires:
  • Windows 7, Windows 8.1 (Windows 8 will not be supported), and Windows 10.
  • .Net 4.7.2 (installers will automatically install .Net 4.7.2 if needed).

Panopto for Mac 6.0 requires:
  • MacOS 10.12, 10.13, and 10.14 (OSX 10.11 will not be supported).
For more information on the mandatory upgrade, please refer to this article on the Panopto support site.